View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000113Ecere SDKidepublic2008-08-15 23:342012-03-29 07:52
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritycrashReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000113: Crashes in the IDE projects
Description- Open IDE project

- Open CodeEditor.ec
- Close CodeEditor.ec

- Open Debugger.ec
- Open CodeEditor.ec

- Close CodeEditor.ec
- Close Debugger.ec

OR

- Open IDE workspace with CodeEditor.ec and Debugger.ec opened
- Close CodeEditor.ec, Close Debugger.ec

TagsNo tags attached.
Attached Files

- Relationships
child of 0000433closed previously resolved issues (draft 1 of 0.44 and earlier) 

-  Notes
(0000062)
jerome (administrator)
2008-08-16 02:19

Added this line in CodeEditor::ProcessCaretMove:

if(sheet.codeEditor != this) return;

Designer::SelectObject was being called with an instance from another CodeEditor.

- Issue History
Date Modified Username Field Change
2008-08-15 23:34 jerome New Issue
2008-08-15 23:35 jerome Description Updated
2008-08-15 23:36 jerome Status new => assigned
2008-08-15 23:36 jerome Assigned To => jerome
2008-08-15 23:38 jerome Description Updated
2008-08-16 02:19 jerome Status assigned => resolved
2008-08-16 02:19 jerome Resolution open => fixed
2008-08-16 02:19 jerome Note Added: 0000062
2009-05-03 03:43 jerome Status resolved => closed
2010-07-25 21:30 redj Relationship added child of 0000429
2010-07-25 21:38 redj Relationship deleted child of 0000429
2010-07-25 21:38 redj Relationship added child of 0000433
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker